require File.expand_path '../../lib/srt_slicer.rb', __FILE__

describe "srt slicer" do
  context "#process" do
    it "slice audio files" do
      a = SrtSlicer::SrtSlicer.new('test.mp3', 'test.srt', '00:00:10,600', '00:00:16,600')
      a.slice
      expect(File).to exist("test-001.mp3")
      expect(File).to exist("test-002.mp3")
      expect(File).not_to exist("test-003.mp3")
      a.clear
    end

    it "not slice if duration is too short" do
      a = SrtSlicer::SrtSlicer.new('test.mp3', 'test.srt', '00:00:00,000', '00:00:02,600')
      a.slice
      expect(File).not_to exist("test-001.mp3")
      expect(File).not_to exist("test-002.mp3")
    end

    it "clear sliced audio files" do
      a = SrtSlicer::SrtSlicer.new('test.mp3', 'test.srt', '00:00:10,600', '00:00:16,600')
      a.slice
      expect(File).to exist("test-001.mp3")
      expect(File).to exist("test-002.mp3")
      a.clear
      expect(File).not_to exist("test-001.mp3")
      expect(File).not_to exist("test-002.mp3")
    end

  end # context 'slice'
end
